<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_quantile.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_quantile" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_quantile</refname>
    <refpurpose>calculates the quantiles of histograms and sample arrays.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   Q = nan_quantile(Y,q)
   Q = nan_quantile(Y,q,DIM)
   Q = nan_quantile(HIS,q)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Y :</term>
      <listitem><para>    vector or matrix of reals</para></listitem></varlistentry>
   <varlistentry><term>q :</term>
      <listitem><para>    probability (scalar or vector of probabilities numbers)</para></listitem></varlistentry>
   <varlistentry><term>DIM :</term>
      <listitem><para> </para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Q = nan_quantile(Y,q,DIM)
   </para>
   <para>
returns the q-th quantile along dimension DIM of sample array Y.
size(Q) is equal size(Y) except for dimension DIM which is size(Q,DIM)=length(Q)
   </para>
   <para>
Q = nan_quantile(HIS,q)
   </para>
   <para>
returns the q-th quantile from the histogram HIS.
HIS must be a HISTOGRAM struct as defined in HISTO2 or HISTO3.
If q is a vector, the each row of Q returns the q(i)-th quantile
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_percentile">nan_percentile</link></member>
   <member><link linkend="nan_histo2">nan_histo2</link></member>
   <member><link linkend="nan_histo3">nan_histo3</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1996-2003,2005,2006,2007,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010, 2011</member>
   </simplelist>
</refsection>
</refentry>
